commit:     0e51dbc4000a3aa4dddb84ec3025640d22cd8f32
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 28 01:39:18 2021 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Sun Feb 28 01:55:58 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e51dbc4

dev-python/pylint: bump to 2.7.1, add Python 3.9 support

* Use pytest --deselect to skip tests instead of rm/patch.
* Drop unused optfeature inherit.

Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 dev-python/pylint/Manifest            |  1 +
 dev-python/pylint/pylint-2.7.1.ebuild | 67 +++++++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/dev-python/pylint/Manifest b/dev-python/pylint/Manifest
index 783370790a7..34586e8868a 100644
--- a/dev-python/pylint/Manifest
+++ b/dev-python/pylint/Manifest
@@ -1,3 +1,4 @@
 DIST pylint-2.6.0.tar.gz 680289 BLAKE2B 
f7d4159478f667a3234beefd148857f26c8f7ea3aae3bfa70fa06fe2a8d86fcf22a0727a9fa5d8fc3de4aa0bb7a4d6e13bf68029f359122762d1e0d24a0b715b
 SHA512 
02881fe14401bbe946618ef947c8db320a6c8dd93626402260d60468538ce67b61d1e8b921bfb1a6020514dd392e9b0021c97ddb60b45866c2d2241224f93f08
 DIST pylint-2.6.1.tar.gz 694232 BLAKE2B 
c169939a49a9a8f3225e120cf56df12fabd8d1940504231d0e1c3783dd8b87beb24e7095e15b332189043d5790b69bd2a41b0baf56cffccb4ef5d7cfe2be9cf8
 SHA512 
6a6bda57ed22df8378aea3de3fe3b97deb7c0742abeb08463d3d2e0f0cbf6bd2166861456b3fa7cd2d7cf148b052fc4913479c3f632b8e92ebf8d26189a122b1
 DIST pylint-2.6.2.tar.gz 680364 BLAKE2B 
59bd18d5458f86a7279a7fc895f1564fc575c27e7ad7b4a668456d6005cc2a4d920e2221c2ec3f447c1c63376e1b35f1e1c5177c355f52872d3c556aa63ae462
 SHA512 
75e88aea23e4e68714451d22b0a6a2106a4821c05cdd7d077e12ea7f6198959ebdace6824b1e2fb42a632051e049a2c84eb93990a7b6af23c7fee7e2f56bf6ec
+DIST pylint-2.7.1.tar.gz 708916 BLAKE2B 
606637ff25daccba741ae5bcdecb6a2be50bc17393009193a29312b4a218622d23287a0f0c5a81e79e77cc54dfe529483ad01fa39445103f240addaa3ad58bf7
 SHA512 
eebf1d3da5ca072cb912ecffebf183c79f2f8b2c2b14044751aad202d75d06d1c06abb561d4581990b92fe54c06b570a1de39b792b0d729cf300c01c82c4e3c0

diff --git a/dev-python/pylint/pylint-2.7.1.ebuild 
b/dev-python/pylint/pylint-2.7.1.ebuild
new file mode 100644
index 00000000000..48b79b75f0c
--- /dev/null
+++ b/dev-python/pylint/pylint-2.7.1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+PYTHON_REQ_USE="threads(+)"
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Python code static checker"
+HOMEPAGE="https://www.logilab.org/project/pylint
+       https://pypi.org/project/pylint/
+       https://github.com/pycqa/pylint";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="examples"
+
+# Mirror requirements from pylint/__pkginfo__.py
+RDEPEND="
+       ~dev-python/astroid-2.5[${PYTHON_USEDEP}]
+       >=dev-python/isort-4.2.5[${PYTHON_USEDEP}]
+       <dev-python/isort-6[${PYTHON_USEDEP}]
+       >=dev-python/mccabe-0.6[${PYTHON_USEDEP}]
+       <dev-python/mccabe-0.7[${PYTHON_USEDEP}]
+       >=dev-python/toml-0.7.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/six[${PYTHON_USEDEP}]
+       )
+"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-2.4.4-sphinx-theme.patch"
+)
+
+distutils_enable_sphinx doc --no-autodoc
+distutils_enable_tests pytest
+
+python_test() {
+       local skipped_tests=(
+               # Fails when PYTHONPATH ends with a colon
+               # https://github.com/PyCQA/pylint/issues/3636
+               
tests/test_self.py::TestRunTC::test_do_not_import_files_from_local_directory
+               # No need to run the benchmarks
+               tests/benchmark/test_baseline_benchmarks.py
+       )
+       # Specify the test directory explicitly to avoid import file mismatches
+       pytest -vv tests ${skipped_tests[@]/#/--deselect } \
+               || die "Tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+       doman man/{pylint,pyreverse}.1
+       if use examples ; then
+               docompress -x "/usr/share/doc/${PF}/examples"
+               docinto examples
+               dodoc -r examples/.
+       fi
+
+       distutils-r1_python_install_all
+}

Reply via email to